POST api/MESetting/SaveExamComponent

Request Information

URI Parameters

None.

Body Parameters

Collection of ExamComponentListDTO
NameDescriptionTypeAdditional information
Id

integer

None.

ExamId

string

String length: inclusive between 0 and 20

ComponentId

integer

None.

Sequence

integer

None.

Name

string

String length: inclusive between 0 and 50

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "Id": 1,
    "ExamId": "sample string 2",
    "ComponentId": 3,
    "Sequence": 4,
    "Name": "sample string 5",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:25:48.129697-07:00",
    "DateUpdated": "2026-08-04T14:25:48.129697-07:00",
    "UserIDCreated": 9,
    "UserIDUpdated": 10
  },
  {
    "Id": 1,
    "ExamId": "sample string 2",
    "ComponentId": 3,
    "Sequence": 4,
    "Name": "sample string 5",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:25:48.129697-07:00",
    "DateUpdated": "2026-08-04T14:25:48.129697-07:00",
    "UserIDCreated": 9,
    "UserIDUpdated": 10
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfExamComponentListDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of ExamComponentListDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "ExamId": "sample string 2",
      "ComponentId": 3,
      "Sequence": 4,
      "Name": "sample string 5",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:25:48.129697-07:00",
      "DateUpdated": "2026-08-04T14:25:48.129697-07:00",
      "UserIDCreated": 9,
      "UserIDUpdated": 10
    },
    {
      "Id": 1,
      "ExamId": "sample string 2",
      "ComponentId": 3,
      "Sequence": 4,
      "Name": "sample string 5",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:25:48.129697-07:00",
      "DateUpdated": "2026-08-04T14:25:48.129697-07:00",
      "UserIDCreated": 9,
      "UserIDUpdated": 10
    }
  ],
  "totalCount": 3
}